# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-linux-procfs
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_ver: %define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name: python-module-linux-procfs
Version: 0.4.4
Release: alt1_8
License: GPLv2
Summary: Linux /proc abstraction classes
Group: System/Libraries
Source: http://userweb.kernel.org/~acme/python-linux-procfs/%{oldname}-%{version}.tar.bz2
URL: http://userweb.kernel.org/~acme/python-linux-procfs
BuildArch: noarch
BuildRequires: python-devel
Source44: import.info

%description
Abstractions to extract information from the Linux kernel /proc files.

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
#%defattr(0755,root,root,0755)
%{python_sitelibdir_noarch}/procfs/
%if "%{python_ver}" >= "2.5"
%{python_sitelibdir_noarch}/*.egg-info
%endif
%doc COPYING

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_8
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1_7
- initial fc import

